<?php
$_SESSION["preset"] = 4;
/**
 * Template Name: Demo Fifth
 *
 * Description: A page template that provides a key component of WordPress as a CMS
 * by meeting the need for a carefully crafted introductory page. The front page template
 * in Twenty Twelve consists of a page content area for adding text, images, video --
 * anything you'd like -- followed by front-page-only widgets in one or two columns.
 *
 * @package WordPress
 * @subpackage Twenty_Twelve
 * @since Twenty Twelve 1.0
 */
?>
<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
<?php global $road_opt; ?>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {
	if(isset($road_opt['opt-favicon']) && $road_opt['opt-favicon']!="") { 
		if(is_ssl()){
			$road_opt['opt-favicon'] = str_replace('http:', 'https:', $road_opt['opt-favicon']);
		}
	?>
		<link rel="icon" type="image/png" href="<?php echo esc_url($road_opt['opt-favicon']['url']);?>">
	<?php }
}
?>
<?php wp_head(); ?>
</head>

<body <?php body_class('home'); ?>>
<div id="yith-wcwl-popup-message" style="display:none;"><div id="yith-wcwl-message"></div></div>
<div class="wrapper <?php if($road_opt['page_layout']=='box'){echo 'box-layout';}?>">
	<div class="page-wrapper">
		<div class="header-container layout4">
			<?php if( isset($road_opt['header_email']) || isset($road_opt['header_phone']) ) : ?>
			<div class="container">
				<div class="top-bar">
					<div class="topbar-content">
						<div class="header-email widget"><i class="fa fa-envelope"></i><strong><?php _e('Email', 'roadthemes');?>:</strong> <a href="mailto:<?php echo esc_attr($road_opt['header_email']); ?>"><?php echo esc_html($road_opt['header_email']); ?></a></div>
						
						<div class="header-phone widget"><i class="fa  fa-phone"></i><strong><?php _e('Phone', 'roadthemes');?>:</strong> <?php echo esc_html($road_opt['header_phone']); ?></div>
						
						<?php do_action('icl_language_selector'); ?>
						
						<?php if( isset($road_opt['header_menu']) ) {
							$menu_object = wp_get_nav_menu_object( $road_opt['header_menu'] );
							$menu_args = array(
								'menu_class'      => 'nav_menu',
								'menu'         => $road_opt['header_menu'],
							); ?>
							<div class="top-menu widget">
								<?php wp_nav_menu( $menu_args ); ?>
							</div>
						<?php } ?>
						
					</div>
				</div>
			</div>
			<?php endif; ?>
			<div class="header">
				<div class="container">
					<div class="row">
						<div class="col-xs-12 col-md-3">
							<div class="global-table">
								<div class="global-row">
									<div class="global-cell">
										<?php if( isset($road_opt['logo_main']['url']) ){ ?>
											<div class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo esc_url($road_opt['logo_main']['url']); ?>" alt="" /></a></div>
										<?php
										} else { ?>
											<h1 class="logo"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
											<?php
										} ?>
									</div>
								</div>
							</div>
						</div>
						<div class="col-xs-12 col-md-9">
							<div class="global-table">
								<div class="global-row">
									<div class="global-cell">
										<div class="visible-large">
											<div class="horizontal-menu"> 
												<?php wp_nav_menu( array( 'theme_location' => 'primary', 'container_class' => 'primary-menu-container', 'menu_class' => 'nav-menu' ) ); ?>
											</div>
										</div>
										<div class="visible-small mobile-menu">
											<div class="nav-container">
												<div class="mbmenu-toggler"><?php echo esc_html($road_opt['mobile_menu_label']);?><span class="mbmenu-icon"></span></div>
												<?php wp_nav_menu( array( 'theme_location' => 'mobilemenu', 'container_class' => 'mobile-menu-container', 'menu_class' => 'nav-menu' ) ); ?>
											</div>
										</div>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="nav-container">
					<div class="container">
						<div class="row">
							<div class="col-xs-12 col-md-3">
								<?php
								$cat_menu_class = '';
								if(isset($road_opt['categories_menu_home']) && $road_opt['categories_menu_home']) {
									$cat_menu_class .=' show_home';
								}
								if(isset($road_opt['categories_menu_sub']) && $road_opt['categories_menu_sub']) {
									$cat_menu_class .=' show_inner';
								}
								?>
								<div class="categories-menu visible-large <?php echo esc_attr($cat_menu_class); ?>">
									<div class="catemenu-toggler"><i class="fa fa-bars"></i><span><?php echo esc_html($road_opt['categories_menu_label']);?></span></div>
									<?php wp_nav_menu( array( 'theme_location' => 'categories', 'container_class' => 'categories-menu-container', 'menu_class' => 'categories-menu' ) ); ?>
									<div class="morelesscate">
										<span class="morecate"><i class="fa fa-plus"></i><?php if ( isset($road_opt['categories_more_label']) && $road_opt['categories_more_label']!='' ) { echo esc_html($road_opt['categories_more_label']); } else { _e('More Categories', 'roadthemes'); } ?></span>
										<span class="lesscate"><i class="fa fa-minus"></i><?php if ( isset($road_opt['categories_less_label']) && $road_opt['categories_less_label']!='' ) { echo esc_html($road_opt['categories_less_label']); } else { _e('Close Menu', 'roadthemes'); } ?></span>
									</div>
								</div>
							</div>
							<div class="col-xs-12 col-md-9">
								<?php if ( class_exists( 'WC_Widget_Cart' ) ) {
									the_widget('Custom_WC_Widget_Cart'); 
								} ?>
								<?php if( class_exists('WC_Widget_Product_Categories') && class_exists('WC_Widget_Product_Search') ) { ?>
								<div class="header-search">
									<div class="cate-toggler"><?php _e('All Categories', 'roadthemes');?></div>
									<?php the_widget('WC_Widget_Product_Categories', array('hierarchical' => true, 'title' => 'Categories', 'orderby' => 'order')); ?>
									<?php the_widget('WC_Widget_Product_Search', array('title' => 'Search')); ?>
								</div>
								<?php } ?>
							</div>
						</div>
					</div>
				</div>
			</div><!-- .header -->
			<div class="clearfix"></div>
		</div>
		<div class="main-container">
			<div class="page-content front-page">
				<?php while ( have_posts() ) : the_post(); ?>
					<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
						<div class="entry-content">
							<?php the_content(); ?>
						</div>
					</article>
				<?php endwhile; ?>
				
			</div>
		</div>
	</div><!-- .wrapper -->
<?php get_footer(); ?>
<?php unset($_SESSION["preset"]); ?>